# Copyright © Michal Čihař <michal@weblate.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 3.1.4 on 2021-01-28 10:00

from django.db import migrations


def component_new_unit(apps, schema_editor):
    Component = apps.get_model("trans", "Component")
    db_alias = schema_editor.connection.alias

    Component.objects.using(db_alias).exclude(template="").update(new_unit=True)


class Migration(migrations.Migration):
    dependencies = [
        ("trans", "0112_component_new_unit"),
    ]

    operations = [migrations.RunPython(component_new_unit, elidable=True)]
